/*
 * This file is part of DebGen Biobank Software developed by ASTRID Research.
 * All rights reserved. Reproduction, modification, use or disclosure
 * to third parties without express authority is forbidden.
 *
 * Copyright ASTRID Research Inc., Hungary, 2009-2011.
 *
 * ASTRID Research
 * Headquaters: Csapo utca 42. Debrecen H-4029 HUNGARY
 * Phone: +36-52-533-173        Fax: +36-52-533-174
 * Web: http://www.astrid.hu    E-mail: info@astrid.hu
 *
 * Project name: DebGen Biobank Software project.
 * URLS:
 * Developers: Istvan Zoltan Nagy (istvan.nagy@astrid.hu)
 */

package hu.astrid.debgen.patientmanagement.service.modules;

import hu.astrid.debgen.patientmanagement.domain.modules.Kariogram;
import hu.astrid.shared.server.service.BaseOperationsAbstract;

import org.hibernate.Session;

/**
 *
 * @author inagy
 *
 */
public class KariogramsManagerService extends BaseOperationsAbstract {

	 public static BaseOperationsAbstract getInstance(Session session) {
         if(session == null) {
             throw new IllegalArgumentException();
         }
		 KariogramsManagerService kariogramsManagerService = new KariogramsManagerService();
	     kariogramsManagerService.session = session;
	     return kariogramsManagerService;
	 }

	 public Kariogram load(Long id) {
	        return super.load(Kariogram.class, id);
	    }


	 public void delete(Kariogram kariogram) {
	        session.delete(kariogram);
	    }




}
